/*!
 * @file		PPDKeyword.h
 * @brief		Ticketの定義
 * @par			Copyright:
 *				(C)2009, Microtech Corp. All Rights Reserved.<BR>
 * @par			History:
 *				<LI>2009.09.09 K.Obi Created</LI>
 */

#define	kNSTrueChoice				@"True"
#define	kNSFalseChoice				@"False"

#pragma mark === err ===
#define	kTMLibNoErr							(0)		//no Error
#define	kTMLibPrinterInfoErr				(-1)	//プリンタ情報エラー
#define	kTMLibParamErr						(-2)	//パラメータエラー
#define	kTMLibTicketInfoErr					(-3)	//チケット情報エラー

#pragma mark === CUPS ===
/*! 用紙方向 */
#define kOrientationKey			"orientation-requested"
/*! 部数 */
#define kCopiesKey				"copies"
/*! 丁合 */
#define kCollatedKey			"collated"
/*! 用紙サイズ */
#define kMediaKey				"media"
/*! 用紙サイズ */
#define	kMediaDictKey			"PageSize"
/*! 割り付け */
#define kNumberUp				"number-up"
/*! 割り付け方向 */
#define kNumberUpLayout			"number-up-layout"
/*! 枠線 */
#define	kPageBorder				"page-border"
/*! 逆順印刷 */
#define kOutputOrder			"OutputOrder"
/*! 奇数／偶数ページ */
#define kPageset				"page-set"
/*! ページ範囲 */
#define	kRangeOfPages			"page-ranges"

/*!Resolution */
#define	kPDEResolutionDictKey				"Resolution"
/*!Print Speed */
#define	kPDEPrintSpeedDictKey				"TmtSpeed"
/*! BlankLineSkip*/
#define	kPDEBlankLineSkipDictKey			"TmtPaperReduction"
/*!Cut Type */
#define	kPDECutTypeDictKey					"TmtPaperSource"
/*! CashDrawer1 */
#define	kPDECashDrawer1DictKey				"TmtDrawer1"
/*! CashDrawer2 */
#define	kPDECashDrawer2DictKey				"TmtDrawer2"
/*! Buzzer Control */
#define	kPDEBuzzerControlDictKey			"TmtBuzzerControl"
/*! Buzzer Pattern */
#define	kPDEBuzzerPatternDictKey			"TmtSoundPattern"
/*! Buzzer Repeat */
#define	kPDEBuzzerRepeatDictKey				"TmtBuzzerRepeat"
//----- End of File -----
