/*!
 * @file		TMLibTicketParam.h
 * @brief		Ticketの値を定義
 * @par			Copyright:
 *				(C)2009, Microtech Corp. All Rights Reserved.<BR>
 * @par			History:
 *				<LI>2009.11.13 K.Obi Created</LI>
 */

/*! 印刷モード */
typedef enum _TMLibPrintMode
{
	TMLibPrintNomal			= 0,		// 通常印刷
	TMLibPrintEmptyData		= 1			// 空データ印刷
} TMLibPrintMode;

/*! 用紙サイズ */
typedef enum _TMLibPaperSize
{
	TMLibPaperSizeRP80x297		= 1,		// RP80x297
	TMLibPaperSizeRP58x297		= 2			// RP58x297
} TMLibPaperSize;

/*! 解像度 */
typedef enum _TMLibResolutionMode
{
	TMLibResolution180x180		= 1,		// TM-88IV, TM-88V
	TMLibResolution203x203		= 2			// TM-T20
} TMLibResolutionMode;

/*! 印字速度 */
typedef enum _TMLibPrintSpeedMode
{
	TMLibPrintSpeedAuto		= 1,
	TMLibPrintSpeed1		= 2,
	TMLibPrintSpeed2		= 3,
	TMLibPrintSpeed3		= 4,
	TMLibPrintSpeed4		= 5
} TMLibPrintSpeedMode;

/*! 白紙節約 */
typedef enum _TMLibBlankSkipMode
{
	TMLibBlankSkipOff		= 1,
	TMLibBlankSkipTop		= 2,
	TMLibBlankSkipBtm		= 3,
	TMLibBlankSkipTopABtm	= 4
} TMLibBlankSkipMode;

/*! カット指定 */
typedef enum _TMLibCutTypeMode
{
	TMLibDocFeedCut			= 1,
	TMLibDocFeedNoCut		= 2,
	TMLibDocNoFeedCut		= 3,
	TMLibDocNoFeedNoCut		= 4,
	TMLibPageFeedCut		= 5,
	TMLibPageFeedNoCut		= 6,
	TMLibPageNoFeedCut		= 7
} TMLibCutTypeMode;

/*! キャッシュドロワ１ */
typedef enum _TMLibDrwOpen1Mode
{
	TMLibDrwOpen1Off		= 1,
	TMLibDrwOpen1Before		= 2,
	TMLibDrwOpen1After		= 3
} TMLibDrwOpen1Mode;

/*! キャッシュドロワ２ */
typedef enum _TMLibDrwOpen2Mode
{
	TMLibDrwOpen2Off		= 1,
	TMLibDrwOpen2Before		= 2,
	TMLibDrwOpen2After		= 3
} TMLibDrwOpen2Mode;

/*! BuzzerControl */
typedef enum _TMLibBuzzerControl
	{
		TMLibBuzzerControlOff		= 1,
		TMLibBuzzerContrrolBefore	= 2,
		TMLibBuzzerControlAfter		= 3
	}  TMLibBuzzerControl;

/*! BuzzerPattern */
typedef enum _TMLibBuzzerPattern
	{
		TMLibBuzzerPatternOff		= 1,
		TMLibBuzzerPatternA			= 2,
		TMLibBuzzerPatternB			= 3,
		TMLibBuzzerPatternC			= 4,
		TMLibBuzzerPatternD			= 5,
		TMLibBuzzerPatternE			= 6
}  TMLibBuzzerPattern;

/*! BuzzerRepeat */
typedef enum _TMLibBuzzerRepeat
	{
		TMLibBuzzerRepeat1			= 1,
		TMLibBuzzerRepeat2			= 2,
		TMLibBuzzerRepeat3			= 3,
		TMLibBuzzerRepeat4			= 4,
	}  TMLibBuzzerRepeat;
