/**
 * @file TMDataManager.h
 *
 * @brief Data Manager Class.
 *
 * @author
 *  Copyright (C) SEIKO EPSON CORPORATION 2009.
 *
 *  Driver for EPSON Thermal Printers Series.
 */

#import <Cocoa/Cocoa.h>
#import		"TMLibTicketParam.h"
#include	"TMUtilities.h"
#import		"TMPPDAccess.h"


@interface TMDataManager : NSObject {
	
	NSMutableDictionary		*iDataDict;
	
	NSMutableArray			*iPrinterList;
	
	NSMutableArray			*iQueList;
	
	BOOL					iIsiEmptyData;
	
	NSInteger				iSelectPrinterIndex;
	
	TMPPDAccess				*iPPDAccess;
}

- (id)initUIManager;

-(NSString*)getPopupButtonDefaultData:(NSString*)keyword;

- (void)setPopupButtonData:(NSString*)choice keyword:(NSString*)keyword;

- (NSString*)getDataFromKeyword:(NSString*)keyword;

- (NSSize)getPaperSize:(NSString*)iData;

- (void)setSelectPrinterNameIndex:(SInt16)index;

- (NSString*)getSelectQueName;

- (NSString*)getSelectPrinterName;

- (NSInteger)getSelectPrinterNameIndex;

- (NSString*)getPrinterNameFromIndex:(SInt16)index;

- (void)setIsEmptyData:(SInt16)iState;

- (BOOL)getIsEmptyData;

@end
