/**
 * @file TMUtilities.h
 *
 * @brief Utilities Class.
 *
 * @author
 *  Copyright (C) SEIKO EPSON CORPORATION 2009.
 *
 *  Driver for EPSON Thermal Printers Series.
 */

#import <Cocoa/Cocoa.h>

#define	kCutImageName		@"cutImage_"
#define	kCutImageExtend		@".bmp"
#define	MYNULL				'\0'
#define	MACOSRELEASE		(0xfff0)


/*! Mac OS Version */
enum {
	MacOSVersion10_1 = 0x1010,		// Mac OS Version 10.1
	MacOSVersion10_2 = 0x1020,		// Mac OS Version 10.2
	MacOSVersion10_3 = 0x1030,		// Mac OS Version 10.3
	MacOSVersion10_4 = 0x1040,		// Mac OS Version 10.4
	MacOSVersion10_5 = 0x1050,		// Mac OS Version 10.5
	MacOSVersion10_6 = 0x1060		// Mac OS Version 10.6
};

short getOSVersion(SInt32 *OSVersion);

void myRelease(id i_obj);

OSStatus getPluginVersion(
				 CFStringRef		inFrameworkName,
				 SInt32				*outMVersion,
				 SInt32				*outRVersion);

void zeroMemory(void *p, SInt32 size);

@interface TMUtilities : NSObject
{
}


+ (NSString*)strToEncoding:(NSString*)i_str encoding:(NSStringEncoding)i_encoding;

+ (const char*)strNSToC:(NSString*)i_str encoding:(NSStringEncoding)i_encoding;

+ (NSString*)strCToNS:(char*)i_str encoding:(NSStringEncoding)i_encoding;

+ (NSString*)strToNS:(char*)i_data;

+ (NSString*)strNumToNS:(NSInteger)i_data;

+ (NSString*)strShortToNS:(SInt16)i_data;

+ (NSString*)strLongToNS:(SInt32)i_data;

+ (NSString*)strFloatToNS:(Float32)i_data;

@end