/**
 * @file TMSDKSample.h
 *
 * @brief Sample Window Class.
 *
 * @author
 *  Copyright (C) SEIKO EPSON CORPORATION 2009.
 *
 *  Driver for EPSON Thermal Printers Series.
 */

#import <Cocoa/Cocoa.h>
#import "TMDataManager.h"
#import "PPDKeyword.h"
#import "TMUtilities.h"
#import "TMTextView.h"

@interface TMSDKSample : NSObject {
	
	IBOutlet NSButton			*iPrintButton;

	IBOutlet NSButton			*iCancelButton;
	
	IBOutlet NSTextField		*iPrinterNameTitle;

	IBOutlet NSPopUpButton		*iPrinterNameString;

	IBOutlet NSTextField		*iPapaerSizeTitle;

	IBOutlet NSPopUpButton		*iPaperSizeString;
	
	IBOutlet NSButton			*iEmptyDataCheck;
	
	IBOutlet NSBox				*iBasicSettings;

	IBOutlet NSTextField		*iResolutionTitle;

    IBOutlet NSPopUpButton		*iResolutionValue;

	IBOutlet NSTextField		*iPrintSpeedTitle;

    IBOutlet NSPopUpButton		*iPrintSpeedValue;

    IBOutlet NSPopUpButton		*iBlankLineSkipValue;

    IBOutlet NSTextField		*iBlankLineSkipTitle;

    IBOutlet NSTextField		*iCutTypeTitle;

    IBOutlet NSPopUpButton		*iCutTypeValue;
	
	IBOutlet NSBox				*iCashDrwSettings;

    IBOutlet NSTextField		*iCashDrw1Title;

    IBOutlet NSPopUpButton		*iCashDrw1Value;

    IBOutlet NSTextField		*iCashDrw2Title;

    IBOutlet NSPopUpButton		*iCashDrw2Value;

	IBOutlet NSBox				*iBuzzerSettings;

    IBOutlet NSPopUpButton		*iBuzzerControlValue;

    IBOutlet NSTextField		*iBuzzerControlTitle;

    IBOutlet NSPopUpButton		*iBuzzerPatternValue;

    IBOutlet NSTextField		*iBuzzerPatternTitle;

    IBOutlet NSPopUpButton		*iBuzzerRepeatValue;

    IBOutlet NSTextField		*iBuzzerRepeatTitle;

    IBOutlet TMTextView			*iTextView;

	IBOutlet NSWindow			*iWindow;
	
	TMDataManager				*iDataManager;
	
}


- (IBAction)aPrintButton:(id)sender;

- (IBAction)aCancelButton:(id)sender;

- (IBAction)aEmptyDataCheck:(id)sender;

- (IBAction)aPrinterNameValue:(id)sender;

- (IBAction)aPaperSizeValue:(id)sender;

- (IBAction)aResolutionValue:(id)sender;

- (IBAction)aPrintSpeedValue:(id)sender;

- (IBAction)aBlankLineSkipValue:(id)sender;

- (IBAction)aCutTypeValue:(id)sender;

- (IBAction)aCashDrw1Value:(id)sender;

- (IBAction)aCashDrw2Value:(id)sender;

- (IBAction)aBuzzerControlValue:(id)sender;

- (IBAction)aBuzzerPatternValue:(id)sender;

- (IBAction)aBuzzerRepeatValue:(id)sender;

- (id)initUIManager:(TMDataManager*)manaegr;

- (void)closeWindow;

- (void)showWindow;

- (BOOL)isWindowVisible;

- (NSView*)getTextView;


@end
