/**
 * @file TMPrintSupport.h
 *
 * \@brief Print Support API.
 *
 * \@author
 *  Copyright (C) SEIKO EPSON CORPORATION 2009.
 *
 *  Driver for EPSON Thermal Printers Series.
*/

#import <Cocoa/Cocoa.h>

@interface TMPrintSupport : NSObject {

}

/*! Registration of ticket */
+(OSStatus) TMSetJobTicket:(NSPrintInfo*)iPrinterInfo
			   printerName:(NSString*)iPrinterName
			  documentSize:(NSSize)iDocumentSize
				resolution:(NSString*)iResolution
					 speed:(NSString*)iSpeed
					 blank:(NSString*)iPageBlank
				  paperCut:(NSString*)iPaperCutType
				chashDrwr1:(NSString*)iChashDrawer1
				chashDrwr2:(NSString*)iChashDrawer2
			 buzzerControl:(NSString*)iBuzzerControl
			 buzzerPattern:(NSString*)iBuzzerPattern
			  buzzerRepeat:(NSString*)iBuzzerRepeat;

/*　!Transmission of empty data　*/
+(OSStatus) TMSetEmptyData:(NSString*)iPrinterName;

@end
